Page MenuHomePhabricator

eolian_cxx Makefile.examples broken
Open, HighPublic

Description

If you try to use the Makefile.examples in efl.git/src/examples/eolian_cxx to build, it errors because the eolian_cxx options aren't correct. Also it doesn't seem to build the right examples?

zmike created this task.Aug 9 2018, 3:34 PM
zmike triaged this task as High priority.
zmike added a comment.Aug 16 2018, 1:09 PM

@felipealmeida I saw you pushed in a patch which mostly fixed this; I've done some further fixes here (in the branch) which add the eolian-cxx examples to the build.

This means only eina-cxx and efl-mono examples are missing functional makefiles here. I can leave this ticket open for that, or I can create a new one, whichever you prefer.

You can leave it open for now. I'll fix eina-cxx and mono soon.

zmike added a comment.Aug 19 2018, 3:16 PM

Great, thanks!

zmike added a comment.Aug 20 2018, 1:06 PM

@felipealmeida I've merged the grafted history into master of the examples repo. All future patches can just go directly into master.